package com.yunfeiyun.agmp.common.framework.web.service;



import com.yunfeiyun.agmp.common.core.domain.model.IBaseOperLog;

import java.util.List;

/**
 * 操作日志 服务层
 *
 * @author 杨晓辉
 */
public interface ISysOperLogService
{
    /**
     * 新增操作日志
     *
     * @param operLog 操作日志对象
     */
    public void insertOperlog(IBaseOperLog operLog);

    /**
     * 查询系统操作日志集合
     *
     * @param operLog 操作日志对象
     * @return 操作日志集合
     */
    public List<IBaseOperLog> selectOperLogList(IBaseOperLog operLog);

    /**
     * 批量删除系统操作日志
     *
     * @param operIds 需要删除的操作日志ID
     * @return 结果
     */
    public int deleteOperLogByIds(String[] operIds);

    /**
     * 查询操作日志详细
     *
     * @param operId 操作ID
     * @return 操作日志对象
     */
    public IBaseOperLog selectOperLogById(String operId);

    /**
     * 清空操作日志
     */
    public void cleanOperLog();
}